<?php
function aviso1()
{
require('../cfg/res.php');	
mysql_query("SET NAMES 'utf8'");
?>

<script type="text/javascript">
function redireccionar() 
{
var ffecha=document.getElementById('fecha1').value;
pagina="?opt=<?php echo $_GET['opt']?>&ffecha="+ffecha;
if (confirm('Generar Avisos para : ' +ffecha))
{
location.href=pagina;
}

} 
</script>

<?php 
$fecha1=date('Y/m').'/01';
if(isset($_GET['ffecha']) && !empty($_GET['ffecha']))
{
	$xfecha=$_GET['ffecha'];
	$fecha1=$_GET['ffecha'];
}
?>


<div style=" max-height:600px; overflow-y:scroll; margin-top:5px;">
<table id="tabla_filtros" width="100%" border="0" cellspacing="0" cellpadding="2" style="border-collapse:collapse;font-size:12px; border:#000000 solid 1px;">

<tr align="left" valign="top">

<th>
<div>
<span>Fecha de Avisos</span> <input type="text" id="fecha1" placeholder="aaaa/mm/dd" size="8" value="<?php echo $fecha1;?>" /> 
</div>

<th>
<div>
<input type="button" value="Generar Avisos" onclick="redireccionar();"  />
</div>
<th>

</table>
</div>





<?php
if (!empty($xfecha))
{
?>


<div style=" max-height:500px; overflow-y:scroll; margin-top:5px;">

<table width="100%" border="1" cellspacing="0" cellpadding="2" style="border-collapse:collapse;font-size:12px; border:#000000 solid 1px;">


<?php

$sql_op50='select *from clie11 where left(docu,3)="OP5" and tcant>0 and status="V" and fecha<="'.$xfecha.'" order by zsub, docu, numero';
$res_op50=mysql_query($sql_op50,$link_vcrx);
//echo $sql_op50;

$filax=1;
echo 'Generando Avisos de Cobro...';
//echo mysql_num_rows($res_op50);
while($r_op50=mysql_fetch_assoc($res_op50))
{
	echo'<tr><th><div align="left">';
	echo $r_op50['zsub'].' --> '.$r_op50['docu'].'-'.$r_op50['numero'].' - '.$r_op50['fechadmy'].' / '.$r_op50['enti_descri'];				
	echo'</div></th>';
	
	$xidnum1=$r_op50['idnum1'];
	$xenti=$r_op50['enti'];
	$xzsub=$r_op50['zsub'];
	$xcontra=$r_op50['numero'];
	$xfecont=$r_op50['fecha'];

	$sql_op10 = 'select * from clie1 where docu="OP19" and fecha="'.$xfecha.'" and enti="'.$xenti.'" and contrato="'.$xcontra.'"';
	$res_op10=mysql_query($sql_op10,$link_vcrx);
	
	// obtener numero de aviso OP19
	$xnumop10 = 0;

	//echo $sql_op10;
	if(mysql_num_rows($res_op10)==0)
	{

		$sql_docu = 'select * from docu0 where docu_codigo="OP19"';
		$res_docu=mysql_query($sql_docu,$link_vcrx);
		$xnumop10=mysql_result($res_docu,0,'docu_numero');
		$xnumop10=$xnumop10+1;

		$sql_iop10='insert into 
			clie1(docu,
				ptoe,
				numero,
				fecha,
				enti,
				zsub,
				contrato,
				status,
				idate)
			values("OP19",
				"001001",
				"'.$xnumop10.'",
				"'.$xfecha.'",
				"'.$xenti.'",
				"'.$xzsub.'",
				"'.$xcontra.'",
				"-"'.',
				now())';
		//echo $sql_iop10;
		$res_iop10=mysql_query($sql_iop10,$link_vcrx);

		$sql_docu = 'update docu0 set docu_numero=docu_numero+1 where docu_codigo="OP19"';
		$res_docu=mysql_query($sql_docu,$link_vcrx);


	}
	
	$res_op10=mysql_query($sql_op10,$link_vcrx);
	$xidop10=mysql_result($res_op10,0,'idnum1');
	$xnumop10=mysql_result($res_op10,0,'numero');
	$xstatop10 = mysql_result($res_op10,0,'status');

		$sql_uop10='update clie1 set 
			docu="OP19",
			numero='.$xnumop10.',
			idate=now()
			where idnum1='.$xidop10;
		$res_uop10=mysql_query($sql_uop10,$link_vcrx);
	
		$sql_dop10='delete from clie2 where idnum1='.$xidop10;
		$res_dop10=mysql_query($sql_dop10,$link_vcrx);
	
		echo'<th><div align="left">';
		echo 'Aviso : '.$xnumop10;				
		echo'</div></th>';



	$sql_op50d = 'select * from clie2 where idnum2='.$xidnum1.' and cant>0';
	$res_op50d=mysql_query($sql_op50d,$link_vcrx);
	while($r_op50d=mysql_fetch_assoc($res_op50d))
	{
		
		$xitem=$r_op50d['item'];
		$xcant=$r_op50d['cant'];
		$xdcto=$r_op50d['dcto'];
		echo'<th><div align="left">';
		echo 'Servicio : '.$xitem.' /'.$xcant;				
		echo'</div></th></tr>';

		$sql_iop10d='insert into 
			clie2(idnum2,
				item,
				cant,
				dcto
				)
			values("'.$xidop10.'",
				"'.$xitem.'",
				"'.$xcant.'",
				"'.$xdcto.'"
				)';
		//echo $sql_iop10d;
		$res_iop10d=mysql_query($sql_iop10d,$link_vcrx);
				
		$sql_uop10d = 'update clie2, item0 
				set puni=item_puni,
				ice=item_ice,
				iva=item_iva
				where item=item_codigo
				and idnum2="'.$xidop10.'"';
		//echo $sql_uop10d;
		$res_uop10d=mysql_query($sql_uop10d,$link_vcrx);
				

	}
	
}
?>


</table>


</div>
<?php } ?>
<?php } ?>